Bug 1179924 - second monitor doesn't wake up after going to sleep
Summary: second monitor doesn't wake up after going to sleep
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 30
Hardware: Unspecified
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-07 20:02 UTC by Jeff Peeler
Modified: 2019-06-06 08:47 UTC (History)
79 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 11:53:29 UTC


Attachments (Terms of Use)
/sys/kernel/debug/dri/0/i915_opregion (bad) (8.00 KB, application/octet-stream)
2015-02-07 17:05 UTC, Jeff Peeler
no flags Details
/sys/kernel/debug/dri/64/i915_opregion (bad) (8.00 KB, application/octet-stream)
2015-02-07 17:07 UTC, Jeff Peeler
no flags Details
/sys/kernel/debug/dri/128/i915_opregion (bad) (8.00 KB, application/octet-stream)
2015-02-07 17:07 UTC, Jeff Peeler
no flags Details
dmesg output (bad) (153.11 KB, text/plain)
2015-02-07 17:08 UTC, Jeff Peeler
no flags Details
reg snapshot (bad) (2.42 MB, application/octet-stream)
2015-02-07 17:09 UTC, Jeff Peeler
no flags Details
videorom (bad) (64.00 KB, application/octet-stream)
2015-02-07 17:09 UTC, Jeff Peeler
no flags Details
xorg.log (bad) (41.70 KB, text/x-vhdl)
2015-02-07 17:10 UTC, Jeff Peeler
no flags Details
/sys/kernel/debug/dri/0/i915_opregion (good) (8.00 KB, application/octet-stream)
2015-02-07 17:10 UTC, Jeff Peeler
no flags Details
/sys/kernel/debug/dri/64/i915_opregion (good) (8.00 KB, application/octet-stream)
2015-02-07 17:11 UTC, Jeff Peeler
no flags Details
/sys/kernel/debug/dri/128/i915_opregion (good) (8.00 KB, application/octet-stream)
2015-02-07 17:11 UTC, Jeff Peeler
no flags Details
boot parameters (good) (290 bytes, text/plain)
2015-02-07 17:12 UTC, Jeff Peeler
no flags Details
dmesg output (good) (187.98 KB, text/plain)
2015-02-07 17:12 UTC, Jeff Peeler
no flags Details
lspci output (good) (2.11 KB, text/plain)
2015-02-07 17:13 UTC, Jeff Peeler
no flags Details
videorom (good) (64.00 KB, application/octet-stream)
2015-02-07 17:13 UTC, Jeff Peeler
no flags Details
xorg.log (good) (41.89 KB, text/x-vhdl)
2015-02-07 17:14 UTC, Jeff Peeler
no flags Details
/etc/X11/xorg.conf.d/00-keyboard.conf (232 bytes, text/plain)
2015-02-07 17:15 UTC, Jeff Peeler
no flags Details

Description Jeff Peeler 2015-01-07 20:02:25 UTC
Description of problem: (This sounds similar to bug 747162, so perhaps this is not the correct component.) After my monitors go to sleep after idling for the correct amount of time, they go to sleep. About 90% of the time when I move the mouse to resume working, 2 out of 3 monitors come on.


Version-Release number of selected component (if applicable): Started occurring after upgrade to Fedora 21.
xorg-x11-drv-intel-2.99.916-3.20141117.fc21.x86_64

How reproducible: very often


Steps to Reproduce:
1. let the computer idle such that power saving blank screen time elapses
2. try to resume work as normal, perhaps pressing enter to clear lock screen
3. observe the number of monitors that power back on

Actual results:
not all monitors power back on

Expected results:
all monitors should power back on after being activated by activity

Additional info:
Thankfully the workaround of using "xset dpms force off" and then waking the monitors over and over eventually wakes up all the monitors. Usually takes about six rounds of that though.

I'd love to include relevant logs, but I don't know which would be useful. I didn't see anything strange in dmesg or Xorg.0.log. I have a docked lenovo t540p and am using the laptop open in addition to both the displayport and the dvi port.

Comment 1 Jeff Peeler 2015-01-19 04:28:30 UTC
This problem is a little worse than I thought. On starting X on a fresh reboot, not all the monitors power on. But I can still use the workaround above (after multiple attempts) and eventually get all three screens to turn on.

Comment 2 Jeff Peeler 2015-02-07 17:05:40 UTC
Created attachment 989225 [details]
/sys/kernel/debug/dri/0/i915_opregion (bad)

Comment 3 Jeff Peeler 2015-02-07 17:07:17 UTC
Created attachment 989226 [details]
/sys/kernel/debug/dri/64/i915_opregion (bad)

Comment 4 Jeff Peeler 2015-02-07 17:07:52 UTC
Created attachment 989227 [details]
/sys/kernel/debug/dri/128/i915_opregion (bad)

Comment 5 Jeff Peeler 2015-02-07 17:08:34 UTC
Created attachment 989228 [details]
dmesg output (bad)

Comment 6 Jeff Peeler 2015-02-07 17:09:12 UTC
Created attachment 989229 [details]
reg snapshot (bad)

Comment 7 Jeff Peeler 2015-02-07 17:09:48 UTC
Created attachment 989230 [details]
videorom (bad)

Comment 8 Jeff Peeler 2015-02-07 17:10:13 UTC
Created attachment 989231 [details]
xorg.log (bad)

Comment 9 Jeff Peeler 2015-02-07 17:10:46 UTC
Created attachment 989232 [details]
/sys/kernel/debug/dri/0/i915_opregion (good)

Comment 10 Jeff Peeler 2015-02-07 17:11:16 UTC
Created attachment 989233 [details]
/sys/kernel/debug/dri/64/i915_opregion (good)

Comment 11 Jeff Peeler 2015-02-07 17:11:41 UTC
Created attachment 989234 [details]
/sys/kernel/debug/dri/128/i915_opregion (good)

Comment 12 Jeff Peeler 2015-02-07 17:12:20 UTC
Created attachment 989235 [details]
boot parameters (good)

Comment 13 Jeff Peeler 2015-02-07 17:12:44 UTC
Created attachment 989236 [details]
dmesg output (good)

Comment 14 Jeff Peeler 2015-02-07 17:13:10 UTC
Created attachment 989237 [details]
lspci output (good)

Comment 15 Jeff Peeler 2015-02-07 17:13:34 UTC
Created attachment 989238 [details]
videorom (good)

Comment 16 Jeff Peeler 2015-02-07 17:14:15 UTC
Created attachment 989239 [details]
xorg.log (good)

Comment 17 Jeff Peeler 2015-02-07 17:15:17 UTC
Created attachment 989240 [details]
/etc/X11/xorg.conf.d/00-keyboard.conf

Comment 18 Jeff Peeler 2015-02-07 17:26:27 UTC
I've tried to follow the wiki here perfectly: http://fedoraproject.org/wiki/How_to_debug_Xorg_problems

I've included all of the requested logs, most with either a "good" or "bad" tag. The "bad" logs are from a fresh boot with only 2 out of 3 monitors powered on. The "good" logs are from a fresh boot when all 3 monitors power on as expected.

I have no other files aside from the 00-keyboard.conf in /etc/X11/xorg.conf.d.

I was going to include the output from intel_reg_snapshot, but it results in a kernel oops. If it's useful to see the dmesg from that I can provide it, but I was attempting to focus on one issue at a time.

Completely updated system as of 2/7:
xorg-x11-drv-intel-2.99.916-3.20141117.fc21.x86_64
kernel: 3.18.5-201.fc21.x86_64

The monitor configuration is the same as previously described: Lenovo T540p docked (with open lid), displayport, and DVI port.

Is there anything else I can include to further this along?

Comment 19 Jérôme Glisse 2015-02-09 19:11:24 UTC
Is this always the same monitor that do not power back on ? I would suspect so and guess it's the display port monitor.

Comment 20 Jeff Peeler 2015-02-09 20:50:20 UTC
It usually is the displayport monitor, but I think I've also seen the laptop and displayport powered on, with the final DVI monitor off.

One other problem I've noticed is that if I turn off the displayport monitor and turn it back on, sometimes the monitor just shows a blank screen. I end up powering the monitor on and off repeatedly until it resumes functioning as expected.

Comment 22 Paolo Antinori 2015-02-27 16:28:43 UTC
i have the same problem.

in my case i'm attached to the external monitor via docking station.

in my case it's only the display attached via vga that does not turn on.

i used to change resolution for that display to trigger it to come back.

i have also used the multimedia key, not sure what exactly does, that sometimes help, but that has also the side effect of crashing gnome-shell each time, if I press it twice.

I'm also available to extract logs, just let me know what you might need.

Comment 23 Jeff Peeler 2015-03-02 04:50:20 UTC
It has come to my attention that the problem is possibly related to the firmware version of the dock itself. I have not yet been able to easily verify upgrading will solve the problem because it requires Windows, but here's the link:

http://support.lenovo.com/us/en/documents/ht081248

Direct download:
http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/fwdphb03.exe

For now, I'll leave this bug open since the resolution is still unknown. But the referenced link does make the problem sound like it's due to a bug in the dock.

Comment 24 Jakub Dorňák 2015-03-16 12:10:34 UTC
I am experiencing the same problem. I have two additional monitors connected to the dock (one using DVI and the other one using HDMI->DVI connector).
Both of them randomly fail to wake up. If I keep locking the screen manually and waking up again, they wake up together after a while, but it is really annoying.

Comment 25 Tomas Lestach 2015-05-04 12:28:41 UTC
Same here - Lenovo T540p with Lenovo ThinkPad Ultra Dock 90W and 2 external monitors (of different manufactures)
Configuration:
 - laptop display is off
 - DP monitor as primary (wakes up OK)
 - HDMI monitor as secondary (does not wake up)

I'll try the firmware update of the docking station.

Comment 26 Jeff Peeler 2015-05-04 16:19:03 UTC
Tomas - please report back the result of the firmware upgrade. I attempted the firmware upgrade running Windows 8 on a flash drive (wondering if that matters at all) and the update seemed to either do nothing or not execute properly.

Comment 27 Jon Thomas 2015-05-20 19:44:02 UTC
Same/similar problem. w541 fedora 21 w/ dock.

Dual monitors and usually only one wakes up, but not always. Sometimes they both wake up. Started out with one using vga and one using dvi, now both on display port->dvi cables. Cabling didn't make a difference.

Can usually (but not always) wake up the second monitor by unplugging the display port cable and waiting a few seconds then plugging it back in. However, sometimes it will cause the machine to crash.

Comment 28 Jeff Peeler 2015-05-20 20:39:59 UTC
At this point I'm just hoping that Fedora 22 will magically make this problem go away. Could be entirely the fault of the dock, but as I mentioned before I was unable to successfully upgrade the firmware (or it succeeded and it didn't make a difference).

Comment 29 Marek Novotny 2015-05-25 10:55:08 UTC
(In reply to Jeff Peeler from comment #28)
> At this point I'm just hoping that Fedora 22 will magically make this
> problem go away. Could be entirely the fault of the dock, but as I mentioned
> before I was unable to successfully upgrade the firmware (or it succeeded
> and it didn't make a difference).

I have tried today fedora live 22.RC1 on usb disk and it doesn't seem it is fixed on Fedora 22 :(

I am experiencing this behaviour too on docked T540p with 2 external monitors (connected through VGA and DVI) and turned off laptop screen with closed lid. I just sometimes solve it by opening laptop lid or open it and close it again and the second screen wake up. 

Sometimes it doesn't help and then just using Gnome settings to turn off/on of not waked up display fix it. 

With only one (VGA) external monitor the waking up works without issues.

This bug is terribly annoying, how could I help more with identifying the root cause?

Comment 30 Flavio Leitner 2015-05-26 13:17:53 UTC
Same issue here when I lock screen.  I run these commands to work around which sets the outputs properly for my use-case (3 monitors) and disable dpms:

# xrandr --output HDMI1 --auto --primary \
	 --output eDP1 --auto --noprimary --left-of HDMI1 \
	 --output DP2 --auto --noprimary --right-of HDMI1
# xset -dpms

Just xrandr fails sometimes, same for xset.
This is a x240 without docking station.
fbl

Comment 31 Jon Thomas 2015-05-26 13:22:55 UTC
A workaround for me (the 2 monitor case) is to connect one monitor via a display port on the dock and then the second monitor to the vga on the laptop. So far, seems to work correctly.

Comment 32 Jeff Peeler 2015-05-27 00:44:45 UTC
After upgrading to F22, I can confirm the issue is still present. Unfortunately, I'm using DVI and DisplayPort, so I can't minimize usage of the dock. My workaround, which takes anywhere from one try to 15 tries, is to repeat "xset dpms force off" until all three screens (laptop screen included) turns back on after mouse movement. Due to the powering on problem, I've disabled any power saving modes so that the monitors always stay on.

Comment 34 Dave Airlie 2015-05-27 01:25:04 UTC
from what I can see this is a dock bug, I'm not sure the OS can do anything for it.

The dock firmware on a lot of docks has bugs. From the OS point of view everything is working fine.

I'll try and reproduce this again, but I think trying to figure out if you can upgrade the dock firmware might be the only solution.

Comment 35 Jeff Peeler 2015-05-27 02:39:45 UTC
Thanks for the response, Dave. If it can be confirmed that the it's the dock's fault entirely, then this bug doesn't need to remain open. As I said earlier, I wasn't able to verify since the dock upgrade failed for me (or it bailed out because I'm already running the latest firmware).

Comment 38 Marek Novotny 2015-05-27 08:28:01 UTC
so after upgrading dock firmware, actually I had already the latest 2.17 firmware. Nothing get better or worse.

Comment 39 Flavio Leitner 2015-05-27 20:17:02 UTC
I am not using dock and I see the same issue with the monitor connected to mini-DP of x240.

Comment 40 John Dennis 2015-06-19 12:27:25 UTC
Same problem, same symptoms. W541 in an Ultradock with 2 external monitors attached to the dock, one VGA, one DisplayPort.

It's very annoying (primarily because the workarounds to bring the monitor back to life causes the window manager to completely rearrange all your windows and workspaces which then have to be tediously restored, happens multiple times a day).

Comment 41 Ken Coar 2015-06-19 16:37:44 UTC
Similar issue here.  W541 running F21 on an UltraDock.  Two external monitors on DP2-1 (DVI dock port, I think; I'm not at the office today) and DP2-2 (HDMI port or actual DisplayPort port, to DVI on monitor via HDMI-to-DVI or DP-to-DVI cable).

Both monitors are ViewSonics, but different models.

The second monitor *sometimes* stays in power-down 'no signal' mode after returning from screen blanking.  I haven't been able to identify under what circumstances it does or does not come back.

In *all* cases, however, I have been able to bring it back with a single

  xrandr --output DP2-2 --mode 1024x768 && xrandr --output DP2-2 --auto

Comment 42 Honza Brázdil 2015-06-23 08:58:29 UTC
The same here:
W541 running F22 on an UltraDock.
External monitor (NEX E231W) DP2-2 DVI->DVI.
External monitor (NEX E231W) DP2-1 DisplayPort->HDMI.

DP2-2 often won't wake up.

Ken Coar's workaround is the best so far for me (thanks) - no window displacement and no need for repeting the command.

Comment 43 Marek Novotny 2015-06-24 06:28:05 UTC
(In reply to Ken Coar from comment #41)
> Similar issue here.  W541 running F21 on an UltraDock.  Two external
> monitors on DP2-1 (DVI dock port, I think; I'm not at the office today) and
> DP2-2 (HDMI port or actual DisplayPort port, to DVI on monitor via
> HDMI-to-DVI or DP-to-DVI cable).
> 
> Both monitors are ViewSonics, but different models.
> 
> The second monitor *sometimes* stays in power-down 'no signal' mode after
> returning from screen blanking.  I haven't been able to identify under what
> circumstances it does or does not come back.
> 
> In *all* cases, however, I have been able to bring it back with a single
> 
>   xrandr --output DP2-2 --mode 1024x768 && xrandr --output DP2-2 --auto

just to note that if you have VGA connected as second monitor, xrandr doesn't  bring it back, only 'xset dpms force off' or a change in gnome-shell Display settings dialog

This is on Ultradock with T540p and Fedora 22.

Comment 44 Jan Synacek 2015-06-24 07:21:20 UTC
(In reply to Marek Novotny from comment #43)
> just to note that if you have VGA connected as second monitor, xrandr
> doesn't  bring it back, only 'xset dpms force off' or a change in
> gnome-shell Display settings dialog

I have a second monitor connected via VGA and what works for me is:
1) undock the computer
2) run xrandr --auto
3) dock the computer again
4) run xrandr --auto

I now have a working monitor again in mirror mode. I'm pretty sure you can then set it up as you please.

Comment 45 Marek Novotny 2015-06-24 07:26:20 UTC
(In reply to Jan Synacek from comment #44)
> (In reply to Marek Novotny from comment #43)
> > just to note that if you have VGA connected as second monitor, xrandr
> > doesn't  bring it back, only 'xset dpms force off' or a change in
> > gnome-shell Display settings dialog
> 
> I have a second monitor connected via VGA and what works for me is:
> 1) undock the computer
> 2) run xrandr --auto
> 3) dock the computer again
> 4) run xrandr --auto
> 
> I now have a working monitor again in mirror mode. I'm pretty sure you can
> then set it up as you please.

lol, your procedure is really more complicated than launch multiple times 'xset dpms force off'

Don't forget that if you undock computer your all windows on not connected display will move to one screen (your laptop one) they won't be rearranged as before, while with 'xset dpms force off' the positions will just be recovered as they were.

Comment 46 Mark Shoger 2015-10-09 13:52:52 UTC
I've got the same issue, Lenovo 540p and docking station. I've tried VGA/DVI and DVI/HDMI with problems on both scenarios. Oddly enough, it's always my Dell 19" that won't wake up, my ASUS 27" always wakes up.

I've found (and yes, it is in GUI mode...) that by using this procedure I'm able to wake the other monitor quickly without undocking. I'm on RHEL 7.0.2.

- Right click on the desktop and select 'Change Background Image' (this is just a faster way to get into System Prefs)
- Click the back arrow to get into the main SysPrefs screen and click on Displays.
- In the display map at the top, click on the monitor that won't wake up.
- Toggle the enabled switch to OFF then click Apply.
- When the video stabilizes, click 'Revert to Previous Settings'

Now the secondary monitor should waken and you're back in business. I've got this down to less than 20 seconds now...

I like this method (not that there's anything wrong with the CLI methods) because if you accidentally disable the wrong (i.e. active) monitor, the revert setting changes everything back after 30 seconds with no acknowledgement.

Here's hoping Lenovo will address this - it does seem like they're the common thread.

Comment 47 John Dennis 2015-10-09 14:23:25 UTC
re comment #46

All these workarounds are not addressing the fact this bug is both a productivity killer and a daily annoyance.

The problem with the workarounds, at least for me is that every time I "tickle" the display properties to make the monitor wake up Gnome Shell trashes my carefully laid out workspaces. So while it might only take a little bit of time to force the monitor to wake up again it takes much longer to recover the location and position of all my windows and workspaces.

My current work around is to disable screen blanking and manually turn my monitors on and off, it's a nuisance.

I've since upgraded to F22 and keep my system updated, to the best of my knowlege is still present.

This bug has been open for 10 months now, We're now up to 27 people on the CC list and 46 comments. It's obvious this bug is affecting a lot of people.

Dave, What is the status of getting this fixed?

Comment 48 Tom Herbert 2015-10-23 23:10:49 UTC
I have seen a similar problem and in response to an email I am updating this bugzilla:

I use a T440S. I am running F22. I have had a problem with the secondary display (mine is HDMI)
intermittently flashing. By Googling I found a recommendation on the Lenova
site to upgrade firmware in ultradock. The firmware update provided by
Lenove is an exe.

Switching the display connection to Display Port from HDMI made the problem go away with the external monitor seeming much more stable. Also, I am not using power blanking.

Comment 49 Stefan Assmann 2015-10-26 06:48:50 UTC
Also experiencing this issue with W541 and F22.

Comment 50 Stephen Wadeley 2015-10-26 07:56:43 UTC
(In reply to Stefan Assmann from comment #49)
> Also experiencing this issue with W541 and F22.

Me too

I use the MATE desktop and have added the "Monitor Preferences" GUI tool to the top panel. Every morning I open that and then just click on the icons representing my two external monitors. Most of the time that is enough to wake them up. Every now and then I have to, still using the GUI tool, turn them off and then on again.

Comment 51 Ola Thoresen 2015-10-26 11:19:00 UTC
Same issue here, Lenovo T450s with dock and fedora 22.

Setup is primary and secondary monitor connected to display-ports on the dock
It is the same monitor that does not turn on every time.

My solution so far has been to go into Display settings, and "arrange displays". Then move one of the monitors a tiny bit so I can click "Apply", and then just revert the changes when the troublesome monitor turns on.

This procedure has the advantage that it does not interfere with my desktop-setup, so all applications are still on the desktops and screens I want them to be. 

Since the OS is obviously able to turn on the monitor when the setup is changed like this, maybe a solution would be to run the same "command" when the monitors are supposed to wake up in the first place.

Comment 52 Fedora End Of Life 2015-11-04 10:02:18 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 53 Rostislav Svoboda 2015-11-04 12:35:44 UTC
I see it on Fedora 23 and saw this problem on Fedora 22 during last 2-3 weeks - updating usually twice a week. Running Gnome on Fedora, Lenovo T440s, have 3 monitors, primary and one secondary monitor goes up but third (DP2-3) monitor doesn't wake up.

I have to turn off secondary monitors and re-enable them again to have full working environment:
xrandr --output DP2-2 --auto --primary --output DP2-3 --off --right-of DP2-2 --output eDP1 --off --left-of DP2-2 && sleep 2 && xrandr --output DP2-2 --auto --primary --output DP2-3 --auto --right-of DP2-2 --output eDP1 --auto --left-of DP2-2

Comment 54 James (purpleidea) 2015-11-09 15:03:53 UTC
I seem to be experiencing a similar issue.

I upgraded a laptop with two external screens to F23. I have it set so
that the laptop screen is off, and the two screens are being used.

When you lock the desktop, the two screens sleep and their power lights
turns orange. When you wiggle the mouse or press ESC they wake up and
you login as normal.

Ever since upgrading to F23, usually only one wakes up. The only way I
can get his friend to wake is to run display utility in GNOME, change
something, and then press ESC to cancel the change. This seems to work
consistently to get it back but it's a PITA.

Some key differences:

* I did NOT have this issue in F22.
* The monitor that doesn't wake up changes, so it's not always the same one.
* I never have the laptop screen on, only the two external displays.

$ sudo cat /sys/kernel/debug/dri/0/i915_dp_mst_info
	mst: ffff88030c067c60, 0
	port: 3: ddps: 0 ldps: 0, ffff88030cc8f800, conn: ffff88030cc8e800
	port: 2: ddps: 1 ldps: 1, ffff88030cc8c800, conn: ffff88030cc8d000
	port: 1: ddps: 1 ldps: 1, ffff88030c13f800, conn: ffff88030cc8b000
	port: 0: ddps: 1 ldps: 0, ffff88030c13f000, conn:           (null)
vcpi: 7 3
vcpi 0: 1 1 11
vcpi 1: 2 2 11
vcpi 2:unsed
payload 0: 2, 1, 11
payload 1: 2, 12, 11
payload 2: 0, 23, 0
dpcd: 12 14 c4 01 00 15 01 83 02 00 00 00 00 00 04 
faux/mst: 00 01 
mst ctrl: 07 
payload table: 03 01 01 01 01 01 01 01 01 01 01 01 02 02 02 02 02 02 02 02 02 02 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
$ uname -a

Comment 55 Ola Thoresen 2015-11-10 08:55:41 UTC
After my initial comment #51 the problem has been getting worse, and now it happens almost every time the monitors have been sleeping.  Also, it is now seemingly random which monitor will turn on and which one will stay asleep.
But it seems like there is always at least one that wakes up.

Still F22 here, but from the other reports, it does not seem like upgrading til F23 will fix it.

Comment 56 Dave Airlie 2015-11-10 11:12:06 UTC
Please test a 4.3 kernel from 

https://kojipkgs.fedoraproject.org/packages/kernel/4.3.0/1.fc24/

or even a 4.4-rc1 kernel when it arrives in rawhide.

Comment 57 John Dennis 2015-11-10 22:36:19 UTC
I installed the 4.3 kernel on my f23 workstation. It's still too early to tell  because the problem did not always manifest itself after unblanking, but so far the results seem promising. Both of my external monitors (when connected via the ultradock) have woken up after blanking.

Another positive with this kernel is for the first time since I received my Lenovo W541 the disk encryption GUI came up when booting, it used to be you would only get text after booting and you had to hit the escape key to get to a text prompt to enter the Luks password, this is an improvement too.

We'll keep our fingers crossed, I think I need to run for another day or two to make sure the problem doesn't reappear, but so far so good, just wanted to update you.

Comment 58 Marek Novotny 2015-11-11 08:12:48 UTC
(In reply to Dave Airlie from comment #56)
> Please test a 4.3 kernel from 
> 
> https://kojipkgs.fedoraproject.org/packages/kernel/4.3.0/1.fc24/
> 
> or even a 4.4-rc1 kernel when it arrives in rawhide.

are there builds for F23? It seems 
https://kojipkgs.fedoraproject.org/packages/kernel/4.3.0/1.fc24/ are missing dependencies on F23.

Comment 59 James (purpleidea) 2015-11-11 08:57:13 UTC
Not sure if hunches are allowed, but here's an observation with a small sample size:

From a fresh reboot, I don't see the issue too often. Initially, I thought a new kernel fixed this. Gradually, ever time I unlock my screen, the probability that this happens increases. Now it happens almost every time. When I reboot, it will start over from almost never and work it's way back up.

Not sure if this is valid, or just random/unrelated, but perhaps it points to a slow leak somewhere...

HTH

Comment 60 Ola Thoresen 2015-11-11 11:47:25 UTC
I tried to install the 4.3.0-packages i F22, but there is a dependency on a newer libncurses.so
So I did a rebuild for F22 and are rebooting right now.  
Will get back with an update once I have tested the new kernel for a while.

Comment 61 Karolis Pocius 2015-11-12 10:48:59 UTC
I didn't have this issue in F22, but after upgrading to F23, one of the two monitors connected to ThinkPad Ultra Dock via DisplayPort wouldn't come back from sleep, unless I turned it off and on again which would mess up my window placement.

Installing kernel 4.3 as suggested in #c56 seems to fix the issue.

Comment 62 Ola Thoresen 2015-11-13 08:21:53 UTC
@Karolis: I did not have the problem in F22 until a few weeks ago, so maybe that was around the time you installed F23?

But the new kernel seems to fix it.
At least I have not had the issue since installing 4.3.0 two days ago.

Comment 63 Karolis Pocius 2015-11-13 09:36:20 UTC
I've upgraded the day after official release - on November 4th. Now the strange thing is that I had to revert kernel 4.3.0 because it caused other issues. So now I'm back on 4.2.5-300.fc23.x86_64 and haven't seen that issue since the restart. It's worth noting though that I don't restart so often, so maybe the fix was already applied in one of the previous packages and only started working when I restarted.

Comment 64 Vincent S. Cojot 2015-11-16 15:27:46 UTC
Hi everyone,

+1 for this issue on FC23 (4.2.5-300.fc23 here)
I have a Lenovo W541 with an UltraDock (and the 170W PS version).
I run the system with its Lid closed and with two external monitors (one is horizontal and the other is vertical).
Both are HP's EliteDisplay E231 and both are connected to the Dock through DisplayPort:

$ xrandr |grep -w connected
eDP1 connected (normal left inverted right x axis y axis)
DP2-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 509mm x 286mm
DP2-2 connected 1080x1920+1920+0 left (normal left inverted right x axis y axis) 510mm x 287mm

When going to sleep (or locking the screen) the secondary display (DP2-2) never wakes up from sleep.

Is there a workaround with xrandr to wake the display up?

Thanks,

Comment 65 Vincent S. Cojot 2015-11-16 15:28:03 UTC
Hi everyone,

+1 for this issue on FC23 (4.2.5-300.fc23 here)
I have a Lenovo W541 with an UltraDock (and the 170W PS version).
I run the system with its Lid closed and with two external monitors (one is horizontal and the other is vertical).
Both are HP's EliteDisplay E231 and both are connected to the Dock through DisplayPort:

$ xrandr |grep -w connected
eDP1 connected (normal left inverted right x axis y axis)
DP2-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 509mm x 286mm
DP2-2 connected 1080x1920+1920+0 left (normal left inverted right x axis y axis) 510mm x 287mm

When going to sleep (or locking the screen) the secondary display (DP2-2) never wakes up from sleep.

Is there a workaround with xrandr to wake the display up?

Thanks,

Comment 66 John Dennis 2015-11-16 15:51:31 UTC
I've been running the 4.3 kernel on my F23 workstation for 6 days now and I have not seen any problems with the external monitors waking up.

As far as I'm concerned the problem is fixed with the exception the fix needs to be in the F23 distribution. I don't know if that means getting the 4.3 kernel into F23 or backporting the fix into the 4.2 kernel for F23.

What are the plans for getting the fix into F23?

Comment 67 Jeff Peeler 2015-11-16 16:17:54 UTC
I've been running 4.3.0-1.fc24.x86_64 a few days now and it does seem to fix the problem of screens not waking reliably! I honestly don't know what kernels can go into a given Fedora release, but if 4.3 can be put in F23 that might be enough to close this bug... except now some people are saying they are just now experiencing problems on F23 and not F22?

Comment 68 Anatoly Lebedev 2015-11-16 16:27:10 UTC
I'm running F23 with 4.2.5-300.fc23.x86_64 and after installing kernel 4.4.0 from rawhide that I've done on Thursday I've never faced with this issue anymore. I'm not very clear what was changed because I'm still running 4.2.5-300.fc23.x86_64 kernel that was shipped with Fedora but issue completely gone.
My setup:
xrandr |grep -w connected
eDP1 connected primary 1920x1080+1920+414 (normal left inverted right x axis y axis) 309mm x 174mm
DP2-1 connected 1080x1920+3840+0 right (normal left inverted right x axis y axis) 527mm x 296mm
DP2-2 connected 1920x1080+0+414 (normal left inverted right x axis y axis) 527mm x 296mm

Comment 69 Marek Novotny 2015-11-19 11:28:47 UTC
(In reply to Jeff Peeler from comment #67)
> I've been running 4.3.0-1.fc24.x86_64 a few days now and it does seem to fix
> the problem of screens not waking reliably! I honestly don't know what
> kernels can go into a given Fedora release, but if 4.3 can be put in F23
> that might be enough to close this bug... except now some people are saying
> they are just now experiencing problems on F23 and not F22?

I can confirm that I installed 4.3.0-1.fc24.x86_64 and for 2 days I can't see the issue. I did lots of screen locking and also suspending/waking up and both external screens are waking up on first attempt. So I am happy not to be annoyed anymore.

Comment 70 Andrew Hatfield 2015-11-20 01:02:49 UTC
I've just completed an in-place upgrade of my clean install Fedora 22 to Fedora 23 on a Lenovo T450s on a lenovo dock (unsure of model - plugged in at the minute).

Have the notebook monitor as secondary, Lenovo 24" widescreen as primary (DVI) and another Lenovo widescreen as a rotated secondary (VGA)


Never had a problem on Fedora 22, now that I'm on Fedora 23, I always get the rotated VGA secondary monitor staying asleep.

Only way to fix, that I've tested, is to disable the monitor via gnome-control-center.

Comment 72 Vincent S. Cojot 2015-11-20 15:27:57 UTC
Andrew,

I'm experiencing the exact same issue although I'm on a Lenovod W541 with an UltraDock and two DP monitors. I run my laptop with the lid closed and the two HP monitors as primary and secondary. Only the secondary monitor does not work.
I've written a small script that allows me to wake-from-the-dead the secondary monitor without fiddling with gnome control-panel:

$ cat bin/dpms.sh 
#!/bin/bash
xset dpms force off
xrandr --output DP2-2 --mode 1024x768 && xrandr --output DP2-2 --auto

It's ugly but it allows me to wake the secondary monitor. Adapt the script and change DP2-2 to match your display outputs.

Comment 73 Vincent S. Cojot 2015-11-20 22:20:48 UTC
Hi,
I just upgraded to 4.2.6-300.fc23.x86_64 (released a few hours/days ago) and issue is gone! Secondary monitor wakes up from sleep just fine.
This is on FC23 with a Lenovo W541 conncted to two HP 23' displays through an UltraDock.
Cheers!

Comment 74 Marek Novotny 2015-11-23 07:52:40 UTC
(In reply to Marek Novotny from comment #69)
> (In reply to Jeff Peeler from comment #67)
> > I've been running 4.3.0-1.fc24.x86_64 a few days now and it does seem to fix
> > the problem of screens not waking reliably! I honestly don't know what
> > kernels can go into a given Fedora release, but if 4.3 can be put in F23
> > that might be enough to close this bug... except now some people are saying
> > they are just now experiencing problems on F23 and not F22?
> 
> I can confirm that I installed 4.3.0-1.fc24.x86_64 and for 2 days I can't
> see the issue. I did lots of screen locking and also suspending/waking up
> and both external screens are waking up on first attempt. So I am happy not
> to be annoyed anymore.

ok, I found one of my use case when the 4.3.0-1.fc24.x86_64 kernel has still this issue. And that is when laptop is started undocked and used and suspendend. After a while of using another day when I docked it, the screens are not recognized at all. So if launched Gnome Settings -> Display it refreshes one of 2 screens, but the one on VGA cable still remains sleeping. Only turning off and on in Gnome Settings -> Display helped.

Comment 75 Andrew Hatfield 2015-11-25 23:19:16 UTC
Updating to 4.2.6-300.fc23.x86_64 seems to have resolved the issue.  

Will update further if the problem returns

Comment 77 Vincent S. Cojot 2015-11-26 20:20:06 UTC
It's better on 4.2.6-300.fc23.x86_64 but still not fully solved:
- When I return to my workstation after locking my session, both screens wake up when I login.
BUT:
- When DFP-2 idles and goes to sleep while I'm working on DFP-1 I am unable to make it return to the land of the living. Thus, I'm still using the xrandr script.
My 2c,

Comment 78 Ondrej Holy 2015-11-27 07:40:05 UTC
I am also facing this problem with ThinkPad T450s. I was using F24 kernel, it worked properly, however there were some problems with network for me, so I switched to F23 kernel again...

I use another workaround:
1/ wake up the laptop from sleep (one monitor wakes up)
2/ wait few seconds to let the monitor sleep again
3/ wake up again (both monitors woke up)

Comment 80 Andrew Hatfield 2015-12-02 22:42:09 UTC
This problem has returned.

on 4.2.6-300.f23.x86_64
xorg-x11-server-Xorg-1.18.0-2.fc23.x86_64

Comment 81 Bryan Yount 2015-12-03 18:57:38 UTC
+1 on this

Every 4.2 kernel I've tried on Fedora 22 and 23 so far has the issue. I'm on Fedora 23 and I had to edit grub to set the last 4.1 kernel (from F22) to be my default. That seems to be a good workaround for now.

Comment 82 Tom Herbert 2015-12-04 00:33:11 UTC
I am running T440S with the docking station and a single external DP monitor. Previously it wouldn't wake up a single external monitor after blanking so I disabled blanking all together. The problem seems resolved to me at least in the use cases I have tried since I upgraded to F23 with 4.2.6-300.f23.x86_64. The external monitor comes back alive when I  wake up after the monitors blank. I have also tried undocking and re-docking and both monitors come back to life.

Comment 83 jamo luhrsen 2015-12-04 16:23:08 UTC
I'm hitting this multiple times a day.

4.2.6-301.fc23.x86_64

two external monitors VGA and HDMI via docking station.  I don't recall both
external monitors failing to come back, but most of the time after my 
session locks one (no rhyme or reason as to which one) of the monitors will
fail to wake up.

Comment 84 William Henry 2015-12-15 19:06:28 UTC
I've seen this on F22 and F23 (now on 4.2.6-301.fc23.x86_64)

Interesting that I got a new monitor and it switched monitors. (Never the laptop display). 

Was: Two docked ViewSonic (VGA and DVI) and the older one (VGA) would have the problem.
Now: Replaced older ViewSonic VGA monitor with a Asus using DisplayPort and the ViewSonic DVI is having trouble waking. 

I use the Settings Turn off/revert to get it back on. (But I will try the background change workaround next time as it might save a few seconds :-)

I've also noticed that the it happens after a longer sleep.

Comment 85 agilley 2015-12-16 14:27:36 UTC
Just thought I would add that I am also having this issue on the W541 using the 4.2.6-301.fc23.x86_64 kernel currently but have had this issue on fedora 22 as well. 

I am using two external monitors VGA and DVI plus the laptop screen. The issue always occurs with one of the external monitors but it is not always the same one. 

One thing to note is the I have installed the bumblebee drivers since this laptop has the Nvidia Optimus technology (not sure if that has anything to do with this or not) and I have tried using the open and closed source Nvidia drivers. 

I also just installed "intel-gpu-tools" and ran the "intel-virtual-output" command and I will update if there is any improvement.

Comment 86 Vladimir Vasilev 2015-12-23 16:58:04 UTC
I have ThinkPad X230 with "ThinkPad Series 3 Docking Stations with USB 3.0" running on RHEL 7.2

My problem is more or less the same.
At work I use only laptop (no external monitor or docking). Then I put it to Sleep, come home, plug to the docking and with the lid closed wakeup. Nothing happens. I need to enable the display manually. Once I do this then I can close the lid. Now if I put to stand by and wakeup it works. 
It somehow don't remember my VGA attached monitor.

Funny thing is that it was working with RHEL 7.1

Comment 87 Tom Herbert 2016-01-03 21:53:03 UTC
This may be related. The T440s with F23 and the ultra dock. seemed pretty stable with one external monitor so I thought I would try a 4K. It won't work in the 4K mode. I also posted the following in Intel's 01.org Intel graphics forum.

Fedora 23 Lenova T440S. LU28E85KRS/ZA Monitor Using Lenova UltraDock.


Monitor won't work in 4K resolution. It only works when it negotiates down to 2560x1440


Crash and/or Warning when attempting to connect the monitor in 4K mode 3840x2160:


dmesg

...snip....


[  +0.000023] WARNING: CPU: 0 PID: 2260 at drivers/gpu/drm/i915/intel_display.c:
[  +0.000001] WARN_ON(crtc->state->enable != intel_crtc_in_use(crtc))
[  +0.000001] Modules linked in:
[  +0.000001]  xfs libcrc32c btrfs xor raid6_pq rfcomm ccm cmac fuse xt_multipor
[  +0.000032]  mei_me lpc_ich snd shpchp mei tpm_tis soundcore tpm wmi rfkill nf
[  +0.000016] CPU: 0 PID: 2260 Comm: Xorg Tainted: G        W       4.2.8-300.fc
[  +0.000001] Hardware name: LENOVO 20ARS0LE00/20ARS0LE00, BIOS GJET84WW (2.34 )
[  +0.000001]  0000000000000000 00000000ebe39f16 ffff880305233af8 ffffffff817738
[  +0.000002]  0000000000000000 ffff880305233b50 ffff880305233b38 ffffffff8109e4
[  +0.000002]  ffff880305233b68 ffff88030f81d800 ffff88030ccfa000 ffff8802ce99ff
[  +0.000001] Call Trace:
[  +0.000004]  [<ffffffff817738ca>] dump_stack+0x45/0x57
[  +0.000004]  [<ffffffff8109e4c6>] warn_slowpath_common+0x86/0xc0
[  +0.000002]  [<ffffffff8109e555>] warn_slowpath_fmt+0x55/0x70
[  +0.000003]  [<ffffffff811ffbd0>] ? kfree+0x130/0x140
[  +0.000014]  [<ffffffffa01aeb69>] __intel_set_mode+0x7f9/0xb60 [i915]
[  +0.000013]  [<ffffffffa01b01df>] ? intel_modeset_compute_config+0x3af/0xb60 [
[  +0.000012]  [<ffffffffa01b5b86>] intel_crtc_set_config+0x2b6/0x580 [i915]
[  +0.000009]  [<ffffffffa0053306>] drm_mode_set_config_internal+0x66/0x100 [drm
[  +0.000008]  [<ffffffffa0057819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[  +0.000005]  [<ffffffffa0048365>] drm_ioctl+0x125/0x610 [drm]
[  +0.000006]  [<ffffffffa0057430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[  +0.000003]  [<ffffffff81231475>] do_vfs_ioctl+0x295/0x470
[  +0.000003]  [<ffffffff810aa2e1>] ? __set_task_blocked+0x41/0xa0
[  +0.000002]  [<ffffffff812316c9>] SyS_ioctl+0x79/0x90
[  +0.000001]  [<ffffffff810acf2e>] ? SyS_rt_sigprocmask+0x8e/0xc0
[  +0.000003]  [<ffffffff8177a2ae>] entry_SYSCALL_64_fastpath+0x12/0x71
[  +0.000001] ---[ end trace fc4d9487e04a7b6d ]---

lspci -kvnn

...snip....

00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b) (prog-if 00 [VGA controller])
    Subsystem: Lenovo Device [17aa:220c]
    Flags: bus master, fast devsel, latency 0, IRQ 46
    Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
    Memory at e0000000 (64-bit, prefetchable) [size=256M]
    I/O ports at 3000 [size=64]
    Expansion ROM at <unassigned> [disabled]
    Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
    Capabilities: [d0] Power Management version 2
    Capabilities: [a4] PCI Advanced Features
    Kernel driver in use: i915
    Kernel modules: i915

....snip....

Comment 88 Marek Novotny 2016-01-05 13:20:02 UTC
tried to downgrade to the latest F23 available kernel 4.2.8-300.fc23.x86_64 and it is still broken. I need to upgrade to 4.3.0-1.fc24.x86_64 to be sane again.

Comment 89 Brad Hubbard 2016-01-05 22:47:53 UTC
I'm using KDE but I find I can usually get the monitors right again after a suspend/resume by changing to a terminal (ctl-alt-f2) and entering "xrandr -d :0" I then return to the KDE session and mess with kscreen (enable/disable monitors) until I get everything right again. Sometimes this takes multiple attempts but I usually get there if I persist.

Just FYI.

Comment 90 Jon Thomas 2016-01-05 23:27:50 UTC
I solved the problem with two monitors by using one on the vga on the laptop and one on dp on the dock. But I switched to three monitors and the problem came back. The fix for me is to restart gnome-shell (alt f2 followed by r).

Comment 91 Vincent S. Cojot 2016-01-05 23:47:19 UTC
I've updated to kernel-4.4.0-0.rc8.git0.1.fc24.x86_64 to solve this issue.
Instructions here: https://fedoraproject.org/wiki/RawhideKernelNodebug
So far so good..

Comment 92 Vincent S. Cojot 2016-01-05 23:47:35 UTC
I've updated to kernel-4.4.0-0.rc8.git0.1.fc24.x86_64 to solve this issue.
Instructions here: https://fedoraproject.org/wiki/RawhideKernelNodebug
So far so good..

Comment 93 Marek Novotny 2016-01-06 08:32:00 UTC
(In reply to Marek Novotny from comment #88)
> tried to downgrade to the latest F23 available kernel 4.2.8-300.fc23.x86_64
> and it is still broken. I need to upgrade to 4.3.0-1.fc24.x86_64 to be sane
> again.

just to note what helped to workaround quickly is turn off and on by xrandr. So commands to workaround it and not mess with Gnome Display Settings dialogue:

xrandr --output DP-2-3 --off
xrandr --output DP-2-3 --mode 1920x1080 --right-of DP-2-2

Getting connected monitors for above commands:
xrandr |grep " connected"

This works on wayland+Gnome Shell session

Comment 94 James (purpleidea) 2016-01-09 20:24:05 UTC
(In reply to James (purpleidea) from comment #54)
> 
> Ever since upgrading to F23, usually only one wakes up. The only way I
> can get his friend to wake is to run display utility in GNOME, change
> something, and then press ESC to cancel the change. This seems to work
> consistently to get it back but it's a PITA.

I found another workaround to repair this issue each time more quickly. When I reach the lock screen, if only one monitor wakes up, I press ctrl-alt-f1, and then ctrl-alt-f2 and it usually fixes the issue until next time. Still a PITA.

Comment 95 Marek Novotny 2016-01-13 12:16:17 UTC
I have noticed Fedora 23 provides update of kernel to 4.3.3.  

This works like a charm, I use it for 2-3 days now and I haven't had any display issue with waking up 2 external monitors.

Comment 96 Stanislav Graf 2016-01-13 12:21:51 UTC
(In reply to Marek Novotny from comment #95)

The same here. kernel-4.3.3-300.fc23 fixed all the display issues for me.

Comment 97 jamo luhrsen 2016-01-13 23:15:29 UTC
(In reply to Stanislav Graf from comment #96)
> (In reply to Marek Novotny from comment #95)
> 
> The same here. kernel-4.3.3-300.fc23 fixed all the display issues for me.

looking good for me now after a few days.

Comment 98 Ladi Prosek 2016-01-15 08:00:39 UTC
Another happy camper here. F23 on Lenovo T450s, two external monitors randomly failing to wake up. Upgraded to 4.3.3-300.fc23.x86_64 kernel and the problem is gone.

Comment 99 Tom Fonteyne 2016-01-15 09:04:06 UTC
4.3.3-300.fc23.x86_64 .... and it got WORSE... now my external display port screen (Dell 30") is simply NOT switching on at all. I have to manually disconnect the cable and put it back in to get it working.

Comment 100 Brad Hubbard 2016-01-15 10:51:37 UTC
No worse, but no better. Still have to do the comment #89 dance on my W541.

Comment 101 Raman Gupta 2016-01-19 16:48:50 UTC
I have an AMD Radeon SI card, but otherwise what I'm seeing is similar to what is reported here by others.

I am on kernel 4.3.3-300.fc23.x86_64.

Sleep/wakeup has worked perfectly fine in the past (Fedora 21, and initially on Fedora 23). I don't know why these problems have started only recently. Even weirder, the problem seems to have started "randomly" -- I had been fine for a couple weeks and then all of a sudden (without rebooting, though I had installed a new kernel)

I am on a desktop with three monitors (no dock). Two are connected via DisplayPort and one via DVI.

One of the DisplayPort monitors (consistently the left one) almost never wakes up after sleeping. xrandr shows the monitor as connected and enabled. But it simply does not wake up. Even a reboot does not fix it -- on reboot it will turn on to show the boot sequence, but once sddm/plymouth starts, it goes back into standby mode.

No sequence of commands seems to help, except (like in comment #99) to physically disconnect the cable and reconnect it. Cutting and restoring power to the monitor does not work either.

When turning off the monitors instead of allowing them to sleep, the same monitor still does not get any signal after being turned on.

Because this issue is so frustrating, I'm going to disable dpms completely, and just use an old-school screen-saver to keep the video pipeline alive always. Hopefully that works!

Comment 102 Lennard 2016-01-22 13:50:49 UTC
Similar experience here.
Lenovo ThinkPad T540p with docking station and 1 monitor over minidisplay port.

> cat /etc/system-release
Fedora release 24 (Rawhide)
> uname -r
4.5.0-0.rc0.git1.1.fc24.x86_64

Interessting is, that if I close the lid the second monitor wakes up instantly.
If, on the other hand, I just press enter to resume work, only the Notebook monitor wakes up.
For me this happens not on random, but every time.

Workaround that works for me is to turn the hardware power switch on the secondary monitor off and on again.

Comment 103 John Dennis 2016-01-22 15:42:18 UTC
Kernel 4.3.3-300.fc23.x86_64 seems to have resolved my problem waking up external monitors after blanking.

My configuration:

Lenovo W541 in an Ultradock, primary monitor connected to Utradock VGA, secondary monitor connected via Ultradock displayport. I never suspend/resume, pretty much just leave the W541 in the dock so I can't offer any observations on suspend/resume issues.

Comment 104 Sammy 2016-01-31 14:35:10 UTC
It may be a coincidence but since this kernel whenever my Lenovo 440s laptop
goes to sleep (on or off AC. Just walk away for fifteen minutes) the black
screen never wakes up. The power button light is on not Fn light. Only thing
one can do is to hold power button down until power off and restart. Very
annoying. Should this be another bug? I am on FC23 with daily updates and
using KDE plasma.

Comment 105 Lennard 2016-02-01 22:03:35 UTC
Can not confirm that walking away works. For savety I waited 30 minutes, but also I think that this is not the right way. If I wake up my system I want all screens instantly.

Comment 106 Stephen Wadeley 2016-02-04 10:51:47 UTC
(In reply to Stephen Wadeley from comment #50)
> (In reply to Stefan Assmann from comment #49)
> > Also experiencing this issue with W541 and F22.
> 
> Me too
> 
> I use the MATE desktop and have added the "Monitor Preferences" GUI tool to
> the top panel. Every morning I open that and then just click on the icons
> representing my two external monitors. Most of the time that is enough to
> wake them up. Every now and then I have to, still using the GUI tool, turn
> them off and then on again.

Hello

Just updated to 4.3.4-200.fc22.x86_64

Now when I use MATE Monitor Preferences GUI applet to wake the blank screens the laptop screen freezes for 4 to 5 seconds, and then the two external screens wake up without me having to click around as before. Its a bit scary but it works in about the same time as the "click around" method.


Lenovo W541 in an Ultradock, primary monitor connected to Utradock HDMI, secondary monitor connected via Ultradock displayport.

Comment 107 William Henry 2016-02-08 18:33:30 UTC
4.3.4-300.fc23.x86_64 is working for me. 

There is a small delay (couple of seconds) for my 2nd docked display but it comes on. All 3 displays wake.

Lenovo T440s.

Comment 108 Chris Noffsinger 2016-02-25 14:15:29 UTC
Thinkpad t450 I cannot get my 2 external monitors to work after updating to Kernel 4.3.4-500.

Worked fine in 300 and 400

Comment 109 Chris Noffsinger 2016-02-25 14:20:50 UTC
My mistake.  Please delete comment 108.  I meant to say:

Thinkpad T450 my second 2 monitors worked on 4.3.4-300.fc23.x86_64 but do not work on 4.3.5-300.fc23.x86_64.

Comment 110 William Henry 2016-02-25 16:12:50 UTC
Upgrade to 4.3.5-300.fc23.x86_64 is also working for me. Still have the small delay (couple of seconds) on the 2nd docked display (DVI). But they all wake (built in, Displayport Asus, and DVI ViewSonic). Lenovo T440s.

Comment 111 Rich R 2016-02-26 13:58:45 UTC
4.3.5-300.fc23.x86_64 using newly installed Fedora 23 fully updated. Manufacturer: LENOVO Product Name: 10B4A0BFUS Version: ThinkCentre M73. My second monitor is connected via display port to vga adapter. My second monitor goes black and shows as not connected in display settings. systemctl gdm restart gets the second monitor working again. Brand new lenovo 24 inch lcd monitors.

Comment 112 Raman Gupta 2016-04-13 12:31:43 UTC
(In reply to Raman Gupta from comment #101)
> I have an AMD Radeon SI card, but otherwise what I'm seeing is similar to
> what is reported here by others.

Just to close the loop on this in case it helps future searchers: in my case the problem was a mini-displayport to dvi active adapter that had apparently gone wonky in some way. Replacing that adapter resolved my monitor wakeup issues.

Comment 113 Stefan Assmann 2016-09-12 15:54:07 UTC
Wonder if I'm the only one left with this issue with Lenovo w541 and external monitor connected to dock. Running f24.
After power down/power up of the external monitor it is no longer recognized and switches to standby mode. The only way to fix this is either suspend/shutdown the system or
xrandr --output DP2-1 --off ; xrandr --output DP2-1 --auto

Comment 114 Leho Kraav 2016-09-12 16:00:13 UTC
(In reply to Stefan Assmann from comment #113)
> Wonder if I'm the only one left with this issue with Lenovo w541 and
> external monitor connected to dock. Running f24.
> After power down/power up of the external monitor it is no longer recognized
> and switches to standby mode. The only way to fix this is either
> suspend/shutdown the system or
> xrandr --output DP2-1 --off ; xrandr --output DP2-1 --auto

You're not. Linux DP implementation still has serious trouble with DP monitor connectivity, up to the latest kernel versions (I'm on 4.8-rc4).

Over HDMI, everything works nicely, even super high res stuff.

But enter DP, or docking ports with DP MST in play, you're bound to run into a host of issues.

Comment 115 Marek Novotny 2016-09-13 08:14:05 UTC
over 1. DVI and 2. VGA works fine on Fedora 24 with kernel 4.7.2-201.fc24.x86_64

Comment 116 Gijs Roeffen 2016-10-12 09:26:07 UTC
Im having the same issues with an HP Elitebook 850 G2 + HP Ultraslim 2013 dock. Everything via VGA works fine. The "xrandr" trick works fine. 

Problems ONLY occur through DP.

(FYI: This also occurs on Ubuntu so i assume its more kernel related.)

Comment 117 Benjamin Erridge 2016-11-04 22:51:32 UTC
I have this issue on all my fedora 23+ computers. HP monitors and Intell Skylake processors. super annoying.

Comment 118 Noam Cohen 2016-12-06 12:16:14 UTC
Also happens on Fedora 25, kernel 4.8.10, with Dell monitors and Intell Skylake processor.
journalctl won't report any error or warning but the screen won't turn on.

Comment 119 Paolo Antinori 2016-12-06 13:12:49 UTC
same here on fedora 25. one of the external monitors never wakes up and there is no ui or cli command to force it to.

Comment 120 Gijs Roeffen 2016-12-06 19:30:44 UTC
(Re)confirmed on Fedora 25, Kernel 4.8.10-300.

Comment 121 Eli Boaz 2017-01-07 17:56:07 UTC
Same on Fedora 25 (Cinnamon Spin). My VGA based display consistently wakes up, the HDMI attached display never wakes up.

Comment 122 Noam Cohen 2017-01-17 07:25:40 UTC
Reconfirmed on Fedora 25, Kernel 4.9.3-200

Comment 123 Brian 2017-02-28 21:11:54 UTC
Confirmed on Fedora 25, Kernel kernel-4.9.12-200.fc25.x86_64

3 displays--all won't wake after screen lock. Remote SSH troubleshooting shows journalctl:

Feb 28 12:51:52 gnome-settings-[2813]: could not find device: property match 'XRANDR_name'='DisplayPort-0' does not exist
Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device: property match 'XRANDR_name'='DisplayPort-2' does not exist
Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device: property match 'XRANDR_name'='DisplayPort-1' does not exist
Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device: property match 'XRANDR_name'='DisplayPort-0' does not exist

Two of the displays are 4k and the other is a standard 1920x1200.

Display driver is the open source 'radeon' module.

The only way I've found around this is to force a power-off or remote reboot via SSH.


-Brian

Comment 124 Brian 2017-02-28 21:13:16 UTC
(In reply to Brian from comment #123)
> Confirmed on Fedora 25, Kernel kernel-4.9.12-200.fc25.x86_64
> 
> 3 displays--all won't wake after screen lock. Remote SSH troubleshooting
> shows journalctl:
> 
> Feb 28 12:51:52 gnome-settings-[2813]: could not find device: property match
> 'XRANDR_name'='DisplayPort-0' does not exist
> Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device:
> property match 'XRANDR_name'='DisplayPort-2' does not exist
> Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device:
> property match 'XRANDR_name'='DisplayPort-1' does not exist
> Feb 28 12:51:52 <hostname> gnome-settings-[2813]: could not find device:
> property match 'XRANDR_name'='DisplayPort-0' does not exist
> 
> Two of the displays are 4k and the other is a standard 1920x1200.
> 
> Display driver is the open source 'radeon' module.
> 
> The only way I've found around this is to force a power-off or remote reboot
> via SSH.
> 
> 
> -Brian


Adding:

This happens with Wayland and X.

Comment 125 Brian 2017-03-01 20:43:32 UTC
An improved workaround for now is to disable the screen display timeout in gnome-settings and use xscreensaver to lock the screen to keep the displays powered up. 

:/

-Brian

Comment 126 Stefan Neufeind 2017-07-16 21:41:28 UTC
Switching to console (ctrl-alt-f2) and back to the graphical view brings back my external monitor as well, after it got turned off by an inactivity-timeout. This is a DVI-connected monitor or a dock for a Lenovo X1 Carbon (3rd generation).

Comment 127 Brad Hubbard 2017-07-17 00:57:07 UTC
(In reply to Brad Hubbard from comment #89)
> I'm using KDE but I find I can usually get the monitors right again after a
> suspend/resume by changing to a terminal (ctl-alt-f2) and entering "xrandr
> -d :0" I then return to the KDE session and mess with kscreen
> (enable/disable monitors) until I get everything right again. Sometimes this
> takes multiple attempts but I usually get there if I persist.

Just an update. My latest strategy for these sorts of problems in KDE is to change to a terminal (ctl-alt-f2) and run "export DISPLAY=:0" and then display and manipulate enabled outputs with kscreen-doctor (see help for details). Using this tool I can get back to whatever config I need. Not sure whether this implicates KDE or not?

Comment 128 Fedora End Of Life 2017-07-25 18:47:49 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 129 Stefan Neufeind 2017-07-26 06:27:42 UTC
I still experience something like this on a fully updated Fedora 26.
(similar issue/maybe-dupe: #1225864)

Comment 130 Fedora End Of Life 2017-08-08 11:53:29 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 131 Stefan Neufeind 2017-08-08 11:56:01 UTC
Could somebody update and reopen this against Fedora 26?

Comment 132 Jeff Peeler 2017-08-08 14:56:33 UTC
(Comment from original reporter) - The issue I was having was fixed almost two years ago (https://bugzilla.redhat.com/show_bug.cgi?id=1179924#c67). However, I resisted closing the issue since people kept commenting. One problem I think is that this bug has been a catch all for nearly every screen blanking problem, but they aren't necessarily related. I'm not a graphics expert, so perhaps I'm wrong about that.

Maybe switching to Wayland (remember I have no idea what I'm talking about on this) could help? Otherwise, if you're using Xorg the following page should help in reporting your bugs:

http://fedoraproject.org/wiki/How_to_debug_Xorg_problems

Given that:
- this bug is almost 3 years old
- the issues described appear to be different scenarios
- myself along with a few others reported blanking issues were fixed

I think that new issue(s) need to be filed from now on.

Comment 133 Harald Reindl 2018-03-19 14:58:48 UTC
i can confirm https://bugzilla.redhat.com/show_bug.cgi?id=1179924#c114 (that DP is horrible) and my own bugreport makes me crazy: https://bugzilla.redhat.com/show_bug.cgi?id=1544245

CTRL+ALT+F2 has a good chance after the screen was powered off or supsended throwing you back to the graphical login in the wrong resultion 
____________________

wake up the screen is some lottery at all, what hepls are KDE shortcuts, many times the ALT+PRINT dance helps wakeup while moving windows down - if that all does not help manually wake up the screen by press the input-select-button and THEN ALT+PRINT

if the session is locked - well - enter your password blidnly first so that shortcuts are working - what a mess

PRINT:
sleep 0.5; xset dpms force standby

SHIFT+PRINT: 
sleep 0.5; xset dpms force standby; sleep 0.5; qdbus org.freedesktop.ScreenSaver /ScreenSaver Lock

ALT+PRINT: 
xrandr --output DP-1 --off; sleep 0.5; xrandr --output DP-1 --mode 2560x1440

Comment 134 Francisco Peralta 2019-06-06 08:47:57 UTC
is still happening on fedora 30 as well, latest kernel.. using DPI port, not DP..


Note You need to log in before you can comment on or make changes to this bug.